<?php

/**
 * @file
 * Hooks specific to the Decoupled Blocks module.
 */

/**
 * Alter exposed paragraphs filters.
 */
function hook_decoupled_blocks_filters_alter($paragraphType, &$filters) {
  switch ($paragraphType) {
    case "footer":
      $filters = [
        "fields" => [
          "block_content--template_block" => "block_machine_name",
          "media--image" => "name,thumbnail",
          "file--image" => "filename,uri",
        ],
        "include" => "field_logo,field_logo.thumbnail",
      ];
      break;
    case "introduction":
      $filters = [
        "fields" => [
          "block_content--template_block" => "block_machine_name",
          "media--image" => "name,thumbnail",
          "file--image" => "filename,uri",
        ],
        "include" => "field_image,field_image.thumbnail",
      ];
      break;
  }
}

/**
 * Alter paragraph field name.
 */
function hook_decoupled_blocks_paragraph_field_name(&$paragraphField) {
  $paragraphField = "field_paragraphs_name";
}
